#
# spec file for package psftools
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           psftools
License:        GPL v2 or later
Group:          Development/Tools/Other
Summary:        Conversion tools for .PSF fonts
Url:            http://www.seasip.demon.co.uk/Unix/PSF/
Version:        1.0.7
Release:        1%{?dist}
Source:         psftools-1.0.7.tar.bz2
Patch1:         psftools-1.0.7-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The PSFTOOLS are designed to manipulate fixed-width bitmap fonts, such
as DOS or Linux console fonts. Both the PSF1 (8 pixels wide) and PSF2
(any width) formats are supported; the default output format is PSF2.

Note that these programs share no code with the Linux console utilities
(kbd).

%prep
%setup -q
#patch1

%build
%configure --disable-static
make %{?jobs:-j %jobs}

%install
make install DESTDIR=%buildroot
# no devel package for now
# also, let's not split off a library package, as the library is only
# used by the tools
rm -r %buildroot/usr/include
rm %buildroot%_libdir/libpsf.{so,la}

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%_bindir/*
%_libdir/libpsf.so.*
%_mandir/man1/*

%changelog
* Wed Oct  1 2008 mmarek@suse.cz
- packaged psftools version 1.0.7
